/* getenv.c -- gets a value from the environment and puts it to stdout
*
* Copyright (C) Erik ``De Zeurkous'' Bogeholt, 2007
* All rights reserved.
*
* Redistribution and use in source and binary forms, with or without
* modification, are permitted provided that the following conditions
* are met:
* 1. Redistributions of source code must retain the above copyright
*    notice, this list of conditions and the following disclaimer.
* 2. Redistributions in binary form must reproduce the above copyright
*    notice, this list of conditions and the following disclaimer in the
*    documentation and/or other materials provided with the distribution.
* 3. All advertising materials mentioning features or use of this software
*    must display the following acknowledgement:
*        This product includes software developed by Erik
*        ``De Zeurkous'' Bogeholt  and/or other contributors.
*    This notice may be omitted when prior written permission is obtained from
*    Erik ``De Zeurkous'' Bogeholt.
* 4. Neither the name of Erik ``De Zeurkous'' Bogeholt nor the names of other
*    contributors may be used to endorse or promote products derived
*    from this software without specific prior written permission.
*
* THIS SOFTWARE IS PROVIDED BY ERIK BOGEHOLT AND OTHER CONTRIBUTORS
* ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
* TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
* PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL ERIK BOGEHOL OR CONTRIBUTORS
* BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
* CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
* SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
* INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
* CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
* ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
* POSSIBILITY OF SUCH DAMAGE.
*/

#include <stdio.h>
#include <stdlib.h>
#include <sysexits.h>

#define me_VERSION "0.69"

int main( int argc, char* argv[] )
{
 if( argc == 1 ) return EX_USAGE; 
 char *theval;
 theval = getenv( argv[1] );
 if( theval == NULL ) return EX_DATAERR;

 if( fputs( theval, stdout ) == EOF ) return EX_IOERR;
 return EX_OK; 
}

